WHAT IS COOLMAIL?

This is.

Coolmail is like xbiff -- it watches your inbox mail file
and lets you know when you have mail.  But unlike xbiff, it can launch
your favorite mail utility when you click on it, and it has cool
animated 3D graphics.

I hope you like it.

------------------------------------------------------------------------------

BUILDING COOLMAIL

is easy.  Type:

     make                  - to build coolmail.
     make install          - to install coolmail executable and man page.

The BINDIR and MANDIR are defined in the Makefile, and are set to
point to /usr/local areas.  Most users will have to either change
these, or become root before typing `make install'.  Please see the
Makefile for further documentation on this.

Support for digitized sound is optional.  By default, it is included.
However, if you don't want this, or if your machine doesn't have a
/dev/audio device, or if you get errors from make complaining about
audio.c, you can remove this feature by commenting out the two lines
near the top of the Makefile which define AUDIO and AUDIO_MODULE.

PROBLEMS

If you can run make with no errors, you can skip this section.  If you
have problems getting coolmail built with the options you want, please
read on for some possibly helpful things to check.

The environment variable CC must be defined to be an ANSI C compiler.
You can define it before running make, or you can add a
"CC=mycompiler" line to the makefile.

The standard X libraries must be in the path searched by your linker.
If they're not, find out where they are then either add the path to
your LD_LIBRARY_PATH environment variable, or add it to the LIB_DIRS
macro in the Makefile.

The standard X header files must be in the path searched by your
compiler.  If they're not, find out where they are then add the path
to the INCLUDES macro in the Makefile.

For example, on DEC OSF1 systems, INCLUDES in the makefile should be
set to -I/usr/include/X11, and LIB_DIRS should be set to
-L/usr/lib/X11.  (Thanks to Alasdair Allan for this information.)

If you still have problems, please send me the usual details,
including:  A description of the symptom and when it occurs, what
compiler and OS you used, including the version numbers, and where you
got your copy of the coolmail sources.  See the section on BUG REPORTS
AND SUGGESTIONS below for more information.

------------------------------------------------------------------------------
Usage:  coolmail [options]

OPTIONS:
  -af filename Specifies an audio file (.au format) to use
               instead of the console bell.

  -e command   Specifies a command (usually in quotes) which
               is used to invoke your favorite mail-reading
               program.

  -f filename  Watch filename, instead of the default mail
               file, /var/spool/mail/<username>.

  -fr n        Number of frames to generate for each animation.
               Set to an appropriate value for your machine's.
               graphics performance.  The default is 15.

  -h           Print some help then exit.

  -int n       Check mail every n seconds, instead of the
               default, 30 seconds.  Note: Xbiff fans may use
               -update instead of -int.

  -mono        Monochrome mode.

  -once        Ring bell when new mail is first detected, but
               not when more new mail is detected.

  -v           Verbose mode - Coolmail prints some information
               on startup.

  -vol n       Value between 0 and 100 for the volume setting
               for both the console bell and the audio file.
               The default is 50.

 In addition, standard X intrinsic arguments are supported.

------------------------------------------------------------------------------

MUCH THANKS

To the following beta testers: Mark Pettit and Paul Henson.

To Randall Sharpe for the sound support patch, and to Dimitrios
P. Bouras and William K. W. Cheung who developed the audio.c module
used by Randal.

Thanks Also to the many people who provided feedback (sometimes
including interesting source code) on previously released versions of
coolmail, including (but not limited to): Andrew Cook, Alasdair Allan,
Joerg Mertin, Martijn Loots, and Ami Fischman.

------------------------------------------------------------------------------

BUG REPORTS AND SUGGESTIONS

Please send bug reports and suggestions to me, Byron C. Darrah,
darrah@kaiwan.com.  If that address bounces, try bdarr@sed.hac.com.

I would especially appreciate hearing about which platforms work or
don't work with the audio support;  I personally have only SPARC/SunOS
and x86/linux systems available to me for testing.

------------------------------------------------------------------------------
